# Message (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.common
Enum Message

    java.lang.Object
      java.lang.Enum<Message>
          net.schmizz.sshj.common.Message

All Implemented Interfaces:
  Serializable, Comparable<Message>

    public enum Message

extends Enum<Message>

SSH message identifiers

Enum Constant Summary
`CHANNEL_CLOSE`
`CHANNEL_DATA`
`CHANNEL_EOF`
`CHANNEL_EXTENDED_DATA`
`CHANNEL_FAILURE`
`CHANNEL_OPEN`
`CHANNEL_OPEN_CONFIRMATION`
`CHANNEL_OPEN_FAILURE`
`CHANNEL_REQUEST`
`CHANNEL_SUCCESS`
`CHANNEL_WINDOW_ADJUST`
`DEBUG`
`DISCONNECT`
`GLOBAL_REQUEST`
`IGNORE`
`KEX_DH_GEX_INIT`
`KEX_DH_GEX_REPLY`
`KEX_DH_GEX_REQUEST`
`KEXDH_31` { KEXDH_REPLY, KEXDH_GEX_GROUP }
`KEXDH_INIT`
`KEXINIT`
`NEWKEYS`
`REQUEST_FAILURE`
`REQUEST_SUCCESS`
`SERVICE_ACCEPT`
`SERVICE_REQUEST`
`UNIMPLEMENTED`
`UNKNOWN`
`USERAUTH_60` { USERAUTH_PASSWD_CHANGREQ, USERAUTH_PK_OK, USERAUTH_INFO_REQUEST }
`USERAUTH_BANNER`
`USERAUTH_FAILURE`
`USERAUTH_INFO_RESPONSE`
`USERAUTH_REQUEST`
`USERAUTH_SUCCESS`

Method Summary
`static Message` `fromByte(byte b)`
`boolean` `geq(int num)`
`boolean` `gt(int num)`
`boolean` `in(int x, int y)`
`boolean` `leq(int num)`
`boolean` `lt(int num)`
`byte` `toByte()`
`static Message` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Message[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final Message UNKNOWN

### DISCONNECT

    public static final Message DISCONNECT

### IGNORE

    public static final Message IGNORE

### UNIMPLEMENTED

    public static final Message UNIMPLEMENTED

### DEBUG

    public static final Message DEBUG

### SERVICE_REQUEST

    public static final Message SERVICE_REQUEST

### SERVICE_ACCEPT

    public static final Message SERVICE_ACCEPT

### KEXINIT

    public static final Message KEXINIT

### NEWKEYS

    public static final Message NEWKEYS

### KEXDH_INIT

    public static final Message KEXDH_INIT

### KEXDH_31

    public static final Message KEXDH_31

  { KEXDH_REPLY, KEXDH_GEX_GROUP }

### KEX_DH_GEX_INIT

    public static final Message KEX_DH_GEX_INIT

### KEX_DH_GEX_REPLY

    public static final Message KEX_DH_GEX_REPLY

### KEX_DH_GEX_REQUEST

    public static final Message KEX_DH_GEX_REQUEST

### USERAUTH_REQUEST

    public static final Message USERAUTH_REQUEST

### USERAUTH_FAILURE

    public static final Message USERAUTH_FAILURE

### USERAUTH_SUCCESS

    public static final Message USERAUTH_SUCCESS

### USERAUTH_BANNER

    public static final Message USERAUTH_BANNER

### USERAUTH_60

    public static final Message USERAUTH_60

  { USERAUTH_PASSWD_CHANGREQ, USERAUTH_PK_OK, USERAUTH_INFO_REQUEST }

### USERAUTH_INFO_RESPONSE

    public static final Message USERAUTH_INFO_RESPONSE

### GLOBAL_REQUEST

    public static final Message GLOBAL_REQUEST

### REQUEST_SUCCESS

    public static final Message REQUEST_SUCCESS

### REQUEST_FAILURE

    public static final Message REQUEST_FAILURE

### CHANNEL_OPEN

    public static final Message CHANNEL_OPEN

### CHANNEL_OPEN_CONFIRMATION

    public static final Message CHANNEL_OPEN_CONFIRMATION

### CHANNEL_OPEN_FAILURE

    public static final Message CHANNEL_OPEN_FAILURE

### CHANNEL_WINDOW_ADJUST

    public static final Message CHANNEL_WINDOW_ADJUST

### CHANNEL_DATA

    public static final Message CHANNEL_DATA

### CHANNEL_EXTENDED_DATA

    public static final Message CHANNEL_EXTENDED_DATA

### CHANNEL_EOF

    public static final Message CHANNEL_EOF

### CHANNEL_CLOSE

    public static final Message CHANNEL_CLOSE

### CHANNEL_REQUEST

    public static final Message CHANNEL_REQUEST

### CHANNEL_SUCCESS

    public static final Message CHANNEL_SUCCESS

### CHANNEL_FAILURE

    public static final Message CHANNEL_FAILURE

Method Detail

### values

    public static Message[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message c : Message.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromByte

    public static Message fromByte(byte b)

### geq

    public boolean geq(int num)

### gt

    public boolean gt(int num)

### in

    public boolean in(int x,
                      int y)

### leq

    public boolean leq(int num)

### lt

    public boolean lt(int num)

### toByte

    public byte toByte()

Copyright © 2009-2011. All Rights Reserved.